#!/usr/bin/env perl

#
# Written by Aaron Lewis , follows standard GPLv2 license , and
# Redistribution is allowed
#

use warnings;
use strict;

my $artist = "Unavailable";
my $title = "Unavailable";
my $album = "Unavailable";
my $progress = "0";

my $pos = `qdbus org.mpris.clementine /Player PositionGet`;
my $length = "0";

my @msg = `qdbus org.mpris.clementine /Player GetMetadata 2>/dev/null`;

foreach (@msg) {
	$title = $1 if /^title: (.*)/;
	$album = $1 if /^album: (.*)/;
	$artist = $1 if /^artist: (.*)/;
	$length = $1 if /^mtime: (\d+)/;
}

$progress = int(100 * $pos / $length) if ( $pos && $length );

print "${title}\n";
print "${artist}\n";
print "${album}\n";
print "\${execbar echo " . $progress . "}\n";
